Skip to main content
PATCH
/
api
/
v1
/
blocklists
Update blocklist entry
curl --request PATCH \
  --url https://sandbox.clausum.ai/api/v1/blocklists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reason": "<string>",
  "is_active": true,
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "value": "<string>",
  "reason": "<string>",
  "is_active": true,
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Supabase session JWT for dashboard / management endpoints, obtained after user sign-in.

Body

application/json
id
string<uuid>
required
reason
string
severity
enum<string>
Available options:
block,
flag,
review
is_active
boolean
expires_at
string<date-time> | null

Response

Entry updated

id
string<uuid>
organization_id
string<uuid>
list_type
enum<string>
Available options:
email,
email_domain,
ip_address,
ip_range,
device_fingerprint,
card_bin,
card_hash,
country,
phone,
customer_id
value
string
severity
enum<string>
Available options:
block,
flag,
review
reason
string | null
source
enum<string>
Available options:
manual,
rule,
fraud_report,
chargeback,
api
is_active
boolean
expires_at
string<date-time> | null
created_at
string<date-time>